from scipy.stats import norm

def QQnorm(x):
    """
    Cette fonction trace le QQplot comparant les quantiles empiriques d'un vecteur x avec ceux théoriques de la loi 
    normale N(0,1)
    
    Argument:
     x: un vecteur contenant les données.
    Renvoie:
     Le QQplot désiré.
    """
    
    #Standardisation des donnees#
    x_tilde = (x-np.mean(x))/np.std(x)
    
    #Calcul des quantiles empiriques#
    quantiles_emp = np.percentile(x_tilde,np.arange(101))
    
    #Calcul des quantiles theoriques#
    quantiles_theo = norm.ppf([0.01*i for i in range(101)],loc=0,scale=1)
    
    # Graphique #
    plt.scatter(quantiles_theo,quantiles_emp)
    plt.plot(quantiles_theo,quantiles_theo,color="red")
    plt.xlabel("Quantiles théoriques")
    plt.ylabel("Quantiles empiriques")
    
plt.subplots(1,2,figsize=(16,7))

plt.subplot(1,2,1)
plt.hist(data.typea.values,bins=15)

plt.subplot(1,2,2)
QQnorm(data.typea.values)